Installing Ansible On Babun

Thanks to the pact package manager, installing ansible on babun was significantly easier than on cygwin. The whole process consisted of only three simple steps.

Install requirements

First, we need to install some requirements for ansible:

$ pact install python python-crypto python-setuptools git openssh openssl openssl-devel curl libffi-devel

Install pip

Now, we want to install pip by using easy_install as the bootstrap:

$ easy_install-2.7 pip

Install ansible

Finally, we use pip to install ansible:

$ pip install ansible

Confirmation

We could confirm the installation by doing the following

$ ansible --version
ansible 1.9.4
  configured module search path = None

And we’re all setup to work our configuration management magic.